<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Interface to TI extension APIs. </p>

<p><a href="tivx_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga52e4e464cbb33ffaae6e5dcc81f4c06f">TIVX_MODULE_NAME0</a>&nbsp;&nbsp;&nbsp;&quot;openvx-core&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name for TI OpenVX kernel module.  <a href="group__group__tivx__ext.html#ga52e4e464cbb33ffaae6e5dcc81f4c06f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga7a3f8ef94608a635c53d15def9e30fb5">TIVX_MODULE_NAME1</a>&nbsp;&nbsp;&nbsp;&quot;ivsion&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name for TI OpenVX kernel module.  <a href="group__group__tivx__ext.html#ga7a3f8ef94608a635c53d15def9e30fb5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#gab68210419fad8fb7be1a93197de2c106">TIVX_TARGET_DSP1</a>&nbsp;&nbsp;&nbsp;&quot;DSP-1&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name for DSP target class, instance 1.  <a href="group__group__tivx__ext.html#gab68210419fad8fb7be1a93197de2c106"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga0dfd25405c06779d0412bab14959ef72">TIVX_TARGET_DSP2</a>&nbsp;&nbsp;&nbsp;&quot;DSP-2&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name for DSP target class, instance 2.  <a href="group__group__tivx__ext.html#ga0dfd25405c06779d0412bab14959ef72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#gae6b25f6169466bf4e9aa5687724c4e09">TIVX_TARGET_EVE1</a>&nbsp;&nbsp;&nbsp;&quot;EVE-1&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name for EVE target class, instance 1.  <a href="group__group__tivx__ext.html#gae6b25f6169466bf4e9aa5687724c4e09"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#gab637c23a034ed666f0297279f6276f92">TIVX_TARGET_EVE2</a>&nbsp;&nbsp;&nbsp;&quot;EVE-2&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name for EVE target class, instance 1.  <a href="group__group__tivx__ext.html#gab637c23a034ed666f0297279f6276f92"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#gad6f6ebb4efb4322aa2c7d4a9117e50f1">TIVX_TARGET_EVE3</a>&nbsp;&nbsp;&nbsp;&quot;EVE-3&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name for EVE target class, instance 1.  <a href="group__group__tivx__ext.html#gad6f6ebb4efb4322aa2c7d4a9117e50f1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga25bfa87057d92012fa3c105ee8fbe7d5">TIVX_TARGET_EVE4</a>&nbsp;&nbsp;&nbsp;&quot;EVE-4&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name for EVE target class, instance 1.  <a href="group__group__tivx__ext.html#ga25bfa87057d92012fa3c105ee8fbe7d5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga07cdfce40693a8bc960fcd119efd54ea">TIVX_TARGET_A15_0</a>&nbsp;&nbsp;&nbsp;&quot;A15-0&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name for A15 target class, core 0.  <a href="group__group__tivx__ext.html#ga07cdfce40693a8bc960fcd119efd54ea"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga199f206b4fc1cd450c3551b3ebfad0b6">TIVX_TARGET_IPU1_0</a>&nbsp;&nbsp;&nbsp;&quot;IPU1-0&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name for IPU1 target class, core 0.  <a href="group__group__tivx__ext.html#ga199f206b4fc1cd450c3551b3ebfad0b6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga43b1169a7f66fb201b8013144b65b36e">TIVX_TARGET_IPU1_1</a>&nbsp;&nbsp;&nbsp;&quot;IPU1-1&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name for IPU1 target class, core 1.  <a href="group__group__tivx__ext.html#ga43b1169a7f66fb201b8013144b65b36e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#gac9fc418e581868fd4b4e8c1146f44636">TIVX_TARGET_IPU2</a>&nbsp;&nbsp;&nbsp;&quot;IPU2&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name for IPU2 target class.  <a href="group__group__tivx__ext.html#gac9fc418e581868fd4b4e8c1146f44636"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga0731c235cd560c819c84532ca108f8f2">TIVX_TARGET_MAX_NAME</a>&nbsp;&nbsp;&nbsp;(16u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible name of a target.  <a href="group__group__tivx__ext.html#ga0731c235cd560c819c84532ca108f8f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga428b100613e60406a63693e75b7ba6bf">TIVX_TARGET_HOST</a>&nbsp;&nbsp;&nbsp;&quot;HOST&quot;</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">String to name a OpenVX Host.  <a href="group__group__tivx__ext.html#ga428b100613e60406a63693e75b7ba6bf"></a><br/></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga56b14c79b967d7f5f4170aab3befca6f">tivx_cpu_id_e</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa431c12c168d1c32cb48e82cde09e4fcf">TIVX_CPU_ID_DSP1</a> =  0, 
<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa5318ebc57b8179bb55e48ce9cdd4ba21">TIVX_CPU_ID_DSP2</a> =  1, 
<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6faad7dc7685f5bc5fb4ea9bf8e9fcced1c">TIVX_CPU_ID_EVE1</a> =  2, 
<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fab1c2b27895776b0444c32cd74272e359">TIVX_CPU_ID_EVE2</a> =  3, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa51856910203e6babff84d35dcc536309">TIVX_CPU_ID_EVE3</a> =  4, 
<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa8cbaa812acb08885cd58173a8c72e989">TIVX_CPU_ID_EVE4</a> =  5, 
<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa6748e946383394fbf5f4960b14448275">TIVX_CPU_ID_IPU1_0</a> =  6, 
<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa15301be3462bfb7147df69d727106fc1">TIVX_CPU_ID_IPU1_1</a> =  7, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa63ca2783561208dc6e076224f9b74001">TIVX_CPU_ID_IPU2_0</a> =  8, 
<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa0d3eb119dccb236356d894852a2d4677">TIVX_CPU_ID_A15_0</a> =  9, 
<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa3f0e2f38cf7a9c6dd48078cc31b182d2">TIVX_CPU_ID_A15_1</a> =  10, 
<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa23df6ff4453761e35f6eae30a53c5aa8">TIVX_CPU_ID_MAX</a> =  11, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__tivx__ext.html#gga56b14c79b967d7f5f4170aab3befca6fa4e23aec1caf5cfa2e3ca2f9feede9b48">TIVX_INVALID_CPU_ID</a> =  0xFF
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>CPU ID for supported CPUs. </p>
 <a href="group__group__tivx__ext.html#ga56b14c79b967d7f5f4170aab3befca6f">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#gad7aa0fdded06205fb515f77c60e8cac7">tivxInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function to initialize OpenVX framework.  <a href="group__group__tivx__ext.html#gad7aa0fdded06205fb515f77c60e8cac7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#gafe743fcbf54158387579a1f36ec1070b">tivxDeInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function to de-initialize OpenVX framework.  <a href="group__group__tivx__ext.html#gafe743fcbf54158387579a1f36ec1070b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga31ae176c89afc45e20c15ed60b0023d0">tivxHostInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function to initialize OpenVX HOST side functionality.  <a href="group__group__tivx__ext.html#ga31ae176c89afc45e20c15ed60b0023d0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#gafa17594a1ffb93ab47b3da495242bfd1">tivxHostDeInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function to de-initialize OpenVX HOST side functionality.  <a href="group__group__tivx__ext.html#gafa17594a1ffb93ab47b3da495242bfd1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">VX_API_ENTRY <a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> <a class="el" href="group__group__vx__reference.html#gad1343c102ae5c3085acc4fcd86d1ebb7">VX_API_CALL</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#gada61688ef8d7e4dbfc343b3152ec7219">tivxAddKernelTarget</a> (<a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a> kernel, char *target_name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Associate a target with a kernel.  <a href="group__group__tivx__ext.html#gada61688ef8d7e4dbfc343b3152ec7219"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">VX_API_ENTRY <a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> <a class="el" href="group__group__vx__reference.html#gad1343c102ae5c3085acc4fcd86d1ebb7">VX_API_CALL</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga7194f59e8a633e8ffb01b2780c4fa2e3">tivxRegisterModule</a> (const char *name, <a class="el" href="vx__types_8h.html#a3d14bc552df0c0dc582ec082310c2fd8">vx_publish_kernels_f</a> publish, <a class="el" href="vx__types_8h.html#a939c334c93669e3754b671381eab5042">vx_unpublish_kernels_f</a> unpublish)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Register publish and unpublish functions against a module name.  <a href="group__group__tivx__ext.html#ga7194f59e8a633e8ffb01b2780c4fa2e3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">VX_API_ENTRY <a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> <a class="el" href="group__group__vx__reference.html#gad1343c102ae5c3085acc4fcd86d1ebb7">VX_API_CALL</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga120fa188b0eda727d86e907b645f5d61">tivxUnRegisterModule</a> (char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UnRegister publish and unpublish functions if previously registered.  <a href="group__group__tivx__ext.html#ga120fa188b0eda727d86e907b645f5d61"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga391ddeb83fbd4d6cffead6536fe8fd22">tivxGetSelfCpuId</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return CPU ID of the CPU on which this API is called.  <a href="group__group__tivx__ext.html#ga391ddeb83fbd4d6cffead6536fe8fd22"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#gaf9e2b985c0e14a513c924ff421857178">tivxCreateNodeByKernelEnum</a> (<a class="el" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451">vx_graph</a> graph, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> kernelenum, <a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> params[], <a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> num)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility function to create a node given parameter references and kernel enum.  <a href="group__group__tivx__ext.html#gaf9e2b985c0e14a513c924ff421857178"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga9d9ccababb2be7012ffbad3b44713aaf">tivxCreateNodeByKernelRef</a> (<a class="el" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451">vx_graph</a> graph, <a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a> kernel, <a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> params[], <a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> num)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility function to create a node given parameter references and kernel reference.  <a href="group__group__tivx__ext.html#ga9d9ccababb2be7012ffbad3b44713aaf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga3aa39fe04bca71942913962c3b46a8e7">tivxIsReferenceVirtual</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility function to check if the given reference is virtual or not.  <a href="group__group__tivx__ext.html#ga3aa39fe04bca71942913962c3b46a8e7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ext.html#ga9fcb9b76ac3436d468f7cdd76088a5f2">tivxIsTargetEnabled</a> (char target_name[])</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility function to know if target is enabled or not.  <a href="group__group__tivx__ext.html#ga9fcb9b76ac3436d468f7cdd76088a5f2"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
